%define git_commit 659fc71

Summary:       Java connection pool library
Name:          proxool
Version:       0.9.1
Release:       %mkrel 5
Group:         Development/Java
Epoch:         0
License:       ASL 2.0
URL:           http://proxool.sourceforge.net/
# Grabbing a newer version from git due to license change
# https://github.com/proxool/proxool/tarball/master
# (commit 659fc71e617151327779802a5171f0da8205918d)
Source0:       proxool-proxool-%{git_commit}.tar.gz
Source1:       proxool.pom
Patch0:        proxool-no-embedded-cglib.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel >= 0:1.6.0
BuildRequires: ant >= 0:1.7.1
BuildRequires: ant-junit
BuildRequires: apache-commons-collections
BuildRequires: apache-commons-lang
BuildRequires: apache-commons-logging
BuildRequires: cglib
BuildRequires: dom4j
BuildRequires: avalon-framework
BuildRequires: hsqldb1
BuildRequires: junit
BuildRequires: log4j
BuildRequires: tomcat-servlet-3.0-api
BuildRequires: checkstyle

Requires: java >= 0:1.6.0
Requires: avalon-logkit
Requires: dom4j
Requires: jta
Requires: jpackage-utils
BuildArch: noarch

%description
Transparently adds connection pooling to your existing JDBC driver.
Complies with the J2SE API, giving you the confidence to develop to
standards. You can monitor the performance of your database
connections and listen to connection events.
It's easy to configure using the JDBC API, XML, or Java property
files - you decide.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{git_commit}
#find . -name "*.jar" -exec rm {} \;
find . -type f -a -executable -exec chmod -x {} \;
rm -rf lib jarjar

%patch0 -p1 -b .sav0

%build
CLASSPATH=$(build-classpath cglib avalon-framework servlet) ant build-jar javadoc

%install
# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -m 0644 build/%{name}-%{version}.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr build/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# pom
install -d -m 0755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -m 0644 %{S:1} $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%doc *.txt
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc LICENCE.txt
%doc %{_javadocdir}/%{name}



%changelog
* Wed Jan 01 2014 dmorgan <dmorgan> 0:0.9.1-5.mga4
+ Revision: 563739
- Replace servlet 2.5 with servlet 3.0

* Fri Oct 18 2013 umeabot <umeabot> 0:0.9.1-4.mga4
+ Revision: 517683
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0:0.9.1-3.mga3
+ Revision: 378258
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 dmorgan <dmorgan> 0:0.9.1-2.mga3
+ Revision: 291848
- Use fedora spec file layout

* Sun Nov 06 2011 gil <gil> 0.9.1-1.mga2
+ Revision: 164004
- imported package proxool


* Fri Aug 26 2011 Andy Grimm <agrimm@gmail.com> - 0:0.9.1-1
- initial build